pqxx::tablereader Class Reference

`#include <tablereader.hxx>`

Inheritance diagram for pqxx::tablereader:
[legend]

## Public Member Functions

| tablereader (transaction_base &, const std::string &Name, const std::string &Null=std::string{})
template<typename ITER >
| tablereader (transaction_base &, const std::string &Name, ITER begincolumns, ITER endcolumns)
template<typename ITER >
| tablereader (transaction_base &, const std::string &Name, ITER begincolumns, ITER endcolumns, const std::string &Null)
| ~tablereader () noexcept
template<typename TUPLE >
tablereader & | operator>> (TUPLE &)
| operator bool () const noexcept
bool | operator! () const noexcept
bool | get_raw_line (std::string &Line)
template<typename TUPLE >
void | tokenize (std::string, TUPLE &) const
virtual void | complete () override
Public Member Functions inherited from pqxx::tablestream
| tablestream (transaction_base &Trans, const std::string &Null=std::string{})
virtual | ~tablestream () noexcept=0
Public Member Functions inherited from pqxx::internal::transactionfocus
| transactionfocus (transaction_base &t)
| transactionfocus ()=delete
| transactionfocus (const transactionfocus &)=delete
transactionfocus & | operator= (const transactionfocus &)=delete
Public Member Functions inherited from pqxx::internal::namedclass
| namedclass (const std::string &Classname)
| namedclass (const std::string &Classname, const std::string &Name)
const std::string & | name () const noexcept
| Object name, or the empty string if no name was given. More...
const std::string & | classname () const noexcept
| Class name. More...
std::string | description () const
| Combination of class name and object name; or just class name. More...

## Additional Inherited Members

Protected Member Functions inherited from pqxx::tablestream
const std::string & | NullStr () const
bool | is_finished () const noexcept
void | base_close ()
Protected Member Functions inherited from pqxx::internal::transactionfocus
void | register_me ()
void | unregister_me () noexcept
void | reg_pending_error (const std::string &) noexcept
bool | registered () const noexcept
Static Protected Member Functions inherited from pqxx::tablestream
template<typename ITER >
static std::string | columnlist (ITER colbegin, ITER colend)
Protected Attributes inherited from pqxx::internal::transactionfocus
transaction_base & | m_trans

## Detailed Description

Deprecated:
  Use stream_from instead.

Efficiently pull data directly out of a table.

Warning
  This class does not work reliably with multibyte encodings. Using it with some multi-byte encodings may pose a security risk.

## Constructor & Destructor Documentation

## tablereader() [1/3]

pqxx::tablereader::tablereader | ( | transaction_base & | T,
|  | const std::string & | Name,
|  | const std::string & | Null = `std::string{}`
| ) |  |

## tablereader() [2/3]

template<typename ITER >

pqxx::tablereader::tablereader | ( | transaction_base & | T,
|  | const std::string & | Name,
|  | ITER | begincolumns,
|  | ITER | endcolumns
| ) |  |

## tablereader() [3/3]

template<typename ITER >

pqxx::tablereader::tablereader | ( | transaction_base & | T,
|  | const std::string & | Name,
|  | ITER | begincolumns,
|  | ITER | endcolumns,
|  | const std::string & | Null
| ) |  |

## ~tablereader()

pqxx::tablereader::~tablereader | ( |  | ) |

noexcept

## Member Function Documentation

## complete()

void pqxx::tablereader::complete | ( |  | ) |

override virtual

Implements pqxx::tablestream.

## get_raw_line()

bool pqxx::tablereader::get_raw_line | ( | std::string & | Line | ) |

Referenced by pqxx::tablewriter::operator<<().

## operator bool()

pqxx::tablereader::operator bool | ( |  | ) | const

noexcept

## operator!()

bool pqxx::tablereader::operator! | ( |  | ) | const

noexcept

## operator>>()

template<typename TUPLE >

tablereader & pqxx::tablereader::operator>> | ( | TUPLE & | T | ) |

## tokenize()

template<typename TUPLE >

void pqxx::tablereader::tokenize | ( | std::string | Line,
|  | TUPLE & | T
| ) |  | const

The documentation for this class was generated from the following files:

- tablereader.hxx
- tablereader.cxx